VSS 6.0 zu TFS Migration

stimmen
2

Unser Team von VSS 6,0 bis TFS 2008 der Migration für die Quellcodeverwaltung Zwecke verwendet werden. Ich frage mich, ob jemand Erfahrung mit dieser Migration hat. Insbesondere sind wir daran interessiert, die Geschichte von Dateien in der Quellcodeverwaltung, sowie alle anderen potentiellen gotchas zu bewahren.

Veröffentlicht am 09/12/2008 um 15:11
quelle vom benutzer
In anderen Sprachen...                            


3 antworten

stimmen
4

Haben Sie VSS 2005 installiert? Sie müssen es eher als die vorherige Version (6.0d).

Auch brauchen Sie wirklich die Geschichte in TFS? Oder können Sie eine Linie in den Sand ziehen und sagen, dass alle Geschichte vor dem und dem Datum in VSS ist und alle Geschichte nach diesem Zeitpunkt ist in TFS? Wenn ja, können Sie einfach tun eine neueste von VSS bekommen und die Dateien in TFS hinzuzufügen. Migrating ist nicht trivial, weil Sie mit VSS-Benutzer müssen behandeln, die Domain-Benutzer den Plan nicht sehen, VSS-Benutzer, die nicht mehr existieren, und obwohl die Reihenfolge der Quellensteueroperationen wird das aktuelle Datum / Zeit der Operation beibehalten nicht migriert wird, wird es jedoch im Kommentar als Teil der Migration gespeichert.

Beantwortet am 23/05/2009 um 11:58
quelle vom benutzer

stimmen
3

Das ist ziemlich einfach, wenn Setup. Sie werden zuerst eine usermap.xml erstellen müssen. Dies wird Ihre VSS-Benutzer auf Ihren TFS2008 Benutzer zuordnen. Dann sind Sie eine Projekt-Konfigurationsdatei erstellen. Ich würde Beispiele von mir schreiben, aber ich kann die XML schreiben nicht bekommen.

Die Projekt-Konfigurationsdatei wird auf die usermap XML-Datei verweisen. Dann alles, was Sie tun müssen, ist, den Befehl „VSSConverter settings.xml wandert“ zu migrieren oder „VSSConverter analysiert settings.xml“, um das Projekt zu analysieren. Ich schlage vor, Sie analze bevor das Projekt zu migrieren.

Hier ist ein Link für weitere Informationen. http://msdn.microsoft.com/en-us/library/ms253090(VS.80).aspx

Beantwortet am 09/12/2008 um 15:44
quelle vom benutzer

stimmen
2

Leider, wenn ich versuchte, diese ...

TF60032: Der VSS-Konverter erfordert Visual Source 2005 oder höher ausgeführt werden. Bitte installieren Sie Visual Source 2005 oder höher und versuchen Sie es erneut.

Beantwortet am 20/05/2009 um 16:17
quelle vom benutzer

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more